Package com.io7m.cardant.shell.internal

# Class CARangeInclusiveLConverter

java.lang.Object
com.io7m.cardant.shell.internal.CARangeInclusiveLConverter

All Implemented Interfaces:
  `com.io7m.quarrel.core.QValueConverterType<com.io7m.jranges.RangeInclusiveL>`

public final class CARangeInclusiveLConverter extends Object implements com.io7m.quarrel.core.QValueConverterType<com.io7m.jranges.RangeInclusiveL>
A value converter for ranges.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CARangeInclusiveLConverter(CAStrings inStrings)`
  Construct a converter.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Class<com.io7m.jranges.RangeInclusiveL>`
  `convertedClass()`
  `com.io7m.jranges.RangeInclusiveL`
  `convertFromString(String text)`
  `String`
  `convertToString(com.io7m.jranges.RangeInclusiveL value)`
  `com.io7m.jranges.RangeInclusiveL`
  `exampleValue()`
  `String`
  `syntax()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CARangeInclusiveLConverter

    public CARangeInclusiveLConverter(CAStrings inStrings)
    Construct a converter.
    Parameters:
      `inStrings` - The string resources

- ## Method Details

  - ### convertFromString

    public com.io7m.jranges.RangeInclusiveL convertFromString(String text) throws com.io7m.quarrel.core.QException
    Specified by:
      `convertFromString` in interface `com.io7m.quarrel.core.QValueConverterType<com.io7m.jranges.RangeInclusiveL>`
    Throws:
      `com.io7m.quarrel.core.QException`

  - ### convertToString

    public String convertToString(com.io7m.jranges.RangeInclusiveL value)
    Specified by:
      `convertToString` in interface `com.io7m.quarrel.core.QValueConverterType<com.io7m.jranges.RangeInclusiveL>`

  - ### exampleValue

    public com.io7m.jranges.RangeInclusiveL exampleValue()
    Specified by:
      `exampleValue` in interface `com.io7m.quarrel.core.QValueConverterType<com.io7m.jranges.RangeInclusiveL>`

  - ### syntax

    public String syntax()
    Specified by:
      `syntax` in interface `com.io7m.quarrel.core.QValueConverterType<com.io7m.jranges.RangeInclusiveL>`

  - ### convertedClass

    public Class<com.io7m.jranges.RangeInclusiveL> convertedClass()
    Specified by:
      `convertedClass` in interface `com.io7m.quarrel.core.QValueConverterType<com.io7m.jranges.RangeInclusiveL>`